function K_x = Kx(X, x, params)
    % Compute the kernel matrix
    % X: the training example
    % x: the test example
    % params: kernel parameters 
    %         params.type and other parameters for specified kernels.
    %         Currently only support RBF kernel.
    
%     switch params.type,
%         case 'linear',
%             K_x = X'*x;
%         case 'rbf',
            n = size(X,2);
            m = size(x,2);
            p = size(X,1);
            sigma = params.sigma;
            if (p == 1)
                distanceSquare = (repmat(X',1, m) - repmat(x, n, 1)).^2;
            else
                distanceSquare = repmat((sum(X.^2))',1, m) + repmat(sum(x.^2), n, 1) - 2* X' *x;
            end
            K_x = exp(-distanceSquare/(2* sigma^2));
%         case 'polynomial',
%             K_x = (X'*x + 1).^params.degree;
%         case 'sigmoid',
%             K_x = tanh(params.gamma * X'*x + params.coef);
%     end