function err = computeSquaredError(Y, a, b, d)
    %
    % computeSquaredError(Y, a, b, d)
    %
    % compute the average squared Error
    % (1/#pairs) * \sum_{ij} (d_ij - hat{d}_ij)^2
    % 
    % Input parameters:
    % Y: the coordinates in transformed space
    % a/b: the number of incorrect/correct responses in XAB experiment to
    % indicate the available pairs.
    % d: the ground-truth distance
    
    d_hat = squareform(pdist(Y'));
    idx = find((a+b) ~= 0);
    err = sum((d_hat(idx) - d(idx)).^2)/length(idx);
   